Index: /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/bibio/ioipsl_getincom_p.F90
===================================================================
--- /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/bibio/ioipsl_getincom_p.F90	(revision 244)
+++ /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/bibio/ioipsl_getincom_p.F90	(revision 245)
@@ -12,6 +12,6 @@
 !---------------------------------------------------------------------
 USE ioipsl_getincom ! to use  'getin'
-USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
-USE mod_phys_lmdz_omp_data, ONLY :  is_omp_root
+USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
+USE mod_phys_lmdz_omp_data, ONLY :  is_omp_master
 use mod_phys_lmdz_para, only : bcast
 !-
@@ -44,5 +44,5 @@
 
 !$OMP BARRIER
-    IF (is_mpi_root .AND. is_omp_root) THEN
+    IF (is_mpi_master .AND. is_omp_master) THEN
     	CALL getin(VarIn,VarOut)
     ENDIF
@@ -58,5 +58,5 @@
 
 !$OMP BARRIER
-    IF (is_mpi_root .AND. is_omp_root) THEN
+    IF (is_mpi_master .AND. is_omp_master) THEN
     	CALL getin(VarIn,VarOut)
     ENDIF
@@ -70,5 +70,5 @@
 
 !$OMP BARRIER
-    IF (is_mpi_root .AND. is_omp_root) THEN
+    IF (is_mpi_master .AND. is_omp_master) THEN
     	CALL getin(VarIn,VarOut)
     ENDIF
@@ -82,5 +82,5 @@
 
 !$OMP BARRIER
-    IF (is_mpi_root .AND. is_omp_root) THEN
+    IF (is_mpi_master .AND. is_omp_master) THEN
     	CALL getin(VarIn,VarOut)
     ENDIF
@@ -96,5 +96,5 @@
 
 !$OMP BARRIER
-    IF (is_mpi_root .AND. is_omp_root) THEN
+    IF (is_mpi_master .AND. is_omp_master) THEN
     	CALL getin(VarIn,VarOut)
     ENDIF
@@ -108,5 +108,5 @@
 
 !$OMP BARRIER
-    IF (is_mpi_root .AND. is_omp_root) THEN
+    IF (is_mpi_master .AND. is_omp_master) THEN
     	CALL getin(VarIn,VarOut)
     ENDIF
@@ -120,5 +120,5 @@
 
 !$OMP BARRIER
-    IF (is_mpi_root .AND. is_omp_root) THEN
+    IF (is_mpi_master .AND. is_omp_master) THEN
     	CALL getin(VarIn,VarOut)
     ENDIF
@@ -134,5 +134,5 @@
 
 !$OMP BARRIER
-    IF (is_mpi_root .AND. is_omp_root) THEN
+    IF (is_mpi_master .AND. is_omp_master) THEN
     	CALL getin(VarIn,VarOut)
     ENDIF
@@ -146,5 +146,5 @@
 
 !$OMP BARRIER
-    IF (is_mpi_root .AND. is_omp_root) THEN
+    IF (is_mpi_master .AND. is_omp_master) THEN
     	CALL getin(VarIn,VarOut)
     ENDIF
@@ -158,5 +158,5 @@
 
 !$OMP BARRIER
-    IF (is_mpi_root .AND. is_omp_root) THEN
+    IF (is_mpi_master .AND. is_omp_master) THEN
     	CALL getin(VarIn,VarOut)
     ENDIF
Index: /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/dyn3dpar/calfis_p.F
===================================================================
--- /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/dyn3dpar/calfis_p.F	(revision 244)
+++ /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/dyn3dpar/calfis_p.F	(revision 245)
@@ -29,6 +29,7 @@
 ! Ehouarn: if using (parallelized) physics
       USE dimphy
-      USE mod_phys_lmdz_para, mpi_root_xx=>mpi_root 
+      USE mod_phys_lmdz_para
       USE mod_interface_dyn_phys
+      USE mod_const_mpi, ONLY : COMM_LMDZ
 !      USE IOPHY
 #endif
Index: /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/dyn3dpar/init_gcm_lmdz.F
===================================================================
--- /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/dyn3dpar/init_gcm_lmdz.F	(revision 244)
+++ /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/dyn3dpar/init_gcm_lmdz.F	(revision 245)
@@ -206,5 +206,5 @@
 #ifdef CPP_PHYS
 !        CALL init_phys_lmdz(iim,jjp1,llm,mpi_size,distrib_phys)
-        CALL Init_Phys_lmdz(iim,jjp1,llm,nproc,distrib_icosa)
+!        CALL Init_Phys_lmdz(iim,jjp1,llm,nproc,distrib_icosa)
 #endif
 !      CALL set_bands
@@ -222,7 +222,7 @@
 
 #ifdef CPP_PHYS
-c$OMP PARALLEL
-      call initcomgeomphy
-c$OMP END PARALLEL 
+!c$OMP PARALLEL
+!      call initcomgeomphy
+!c$OMP END PARALLEL 
 #endif
 
Index: /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/dyn3dpar/initialize_physics.F90
===================================================================
--- /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/dyn3dpar/initialize_physics.F90	(revision 245)
+++ /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/dyn3dpar/initialize_physics.F90	(revision 245)
@@ -0,0 +1,68 @@
+SUBROUTINE initialize_unstructured_physics(nbp, nlayer, communicator, nb_proc, distrib, &
+                                           punjours, pdayref,ptimestep, lat,lon,area, &
+                                           prad,pg,pr,pcpp, preff,ap,bp )
+USE mod_phys_lmdz_para
+USE mod_grid_phy_lmdz
+USE dimphy
+USE comgeomphy, only :   initcomgeomphy, &
+                         airephy, & ! physics grid area (m2)
+                         rlond, & ! longitudes
+                         rlatd ! latitudes
+USE infotrac, only : nqtot ! number of advected tracers
+USE planete_mod, only: ini_planete_mod
+IMPLICIT NONE
+
+                                            
+    INTEGER,INTENT(in) :: nbp     ! nb point for the current mpi process
+    INTEGER,INTENT(in) :: nlayer  ! number of atmospheric layers
+    INTEGER,INTENT(in) :: communicator ! current MPI communicataor
+    INTEGER,INTENT(in) :: nb_proc      ! nb processor in the current communicator
+    INTEGER,INTENT(in) :: distrib(0:nb_proc-1)  ! nb point for alll mpi_process
+    REAL,INTENT(in)    :: prad ! radius of the planet (m)
+    REAL,INTENT(in)    :: pg ! gravitational acceleration (m/s2)
+    REAL,INTENT(in)    :: pr ! ! reduced gas constant R/mu
+    REAL,INTENT(in)    :: pcpp ! specific heat Cp
+    REAL,INTENT(in)    :: punjours ! length (in s) of a standard day
+    REAL,INTENT(in)    :: lat(nbp) ! latitudes of the physics grid
+    REAL,INTENT(in)    :: lon(nbp) ! longitudes of the physics grid
+    REAL,INTENT(in)    :: area(nbp) ! area (m2)
+    INTEGER,INTENT(in) :: pdayref ! reference day of for the simulation
+    REAL,INTENT(in)    :: ptimestep ! physics time step (s)
+    REAL,INTENT(in)    :: preff      ! reference surface pressure (Pa)
+    REAL,INTENT(in)    :: ap(nlayer+1) ! hybrid coordinate at interfaces
+    REAL,INTENT(in)    :: bp(nlayer+1) ! hybrid coordinate at interfaces
+
+    INTEGER :: offset
+    REAL,SAVE,ALLOCATABLE    :: plat(:) ! latitudes of the physics grid
+    REAL,SAVE,ALLOCATABLE    :: plon(:) ! longitudes of the physics grid
+    REAL,SAVE,ALLOCATABLE    :: parea(:) ! area (m2)
+
+    ALLOCATE(plat(nbp),plon(nbp),parea(nbp))
+    plat(:)=lat(:)
+    plon(:)=lon(:)
+    parea(:)=area(:)
+    
+    CALL init_grid_phy_lmdz(nbp,1,sum(distrib),nlayer)
+    CALL init_phys_lmdz_para(nbp,1,communicator,nb_proc,distrib)
+
+
+!$OMP PARALLEL
+    CALL init_dimphy(klon_omp,nbp_lev)
+    CALL initcomgeomphy
+    
+    offset=0
+    airephy(1:klon_omp)=parea(offset+klon_omp_begin:offset+klon_omp_end)
+    rlond(1:klon_omp)=plon(offset+klon_omp_begin:offset+klon_omp_end)
+    rlatd(1:klon_omp)=plat(offset+klon_omp_begin:offset+klon_omp_end)
+
+! copy over preff , ap() and bp() 
+    CALL ini_planete_mod(nlayer,preff,ap,bp)
+
+! copy some fundamental parameters to physics 
+! and do some initializations 
+    CALL inifis(klon_omp,nlayer,nqtot,pdayref,punjours,ptimestep, &
+                rlatd,rlond,airephy,prad,pg,pr,pcpp)
+            
+!$OMP END PARALLEL
+
+END SUBROUTINE initialize_unstructured_physics
Index: /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/init_phys_lmdz.F90
===================================================================
--- /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/init_phys_lmdz.F90	(revision 244)
+++ /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/init_phys_lmdz.F90	(revision 245)
@@ -2,5 +2,5 @@
 ! $Id$
 !
-SUBROUTINE init_phys_lmdz(iim,jjp1,llm,nb_proc,distrib)
+SUBROUTINE init_phys_lmdz(iim,jjp1,llm,comm_lmdz,nb_proc,distrib)
   USE mod_phys_lmdz_omp_data, only: klon_omp
   USE mod_grid_phy_lmdz, only: nbp_lev
@@ -13,4 +13,5 @@
     INTEGER,INTENT(in) :: iim
     INTEGER,INTENT(in) :: jjp1
+    INTEGER,INTENT(in) :: comm_lmdz
     INTEGER,INTENT(in) :: llm
     INTEGER,INTENT(in) :: nb_proc
@@ -19,5 +20,5 @@
 
     CALL init_grid_phy_lmdz(iim,jjp1,sum(distrib),llm)
-    CALL init_phys_lmdz_para(iim,jjp1,nb_proc,distrib)
+    CALL init_phys_lmdz_para(iim,jjp1,comm_lmdz,nb_proc,distrib)
 !$OMP PARALLEL
     CALL init_dimphy(klon_omp,nbp_lev)
Index: /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/iostart.F90
===================================================================
--- /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/iostart.F90	(revision 244)
+++ /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/iostart.F90	(revision 245)
@@ -422,5 +422,5 @@
     INTEGER :: ierr
     
-    IF (is_mpi_root .AND. is_omp_root) THEN
+    IF (is_mpi_master .AND. is_omp_master) THEN
   
       ierr=NF90_INQ_VARID(nid_start,var_name,varid)
Index: /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/mod_phys_lmdz_mpi_data.F90
===================================================================
--- /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/mod_phys_lmdz_mpi_data.F90	(revision 244)
+++ /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/mod_phys_lmdz_mpi_data.F90	(revision 245)
@@ -3,6 +3,6 @@
 !
 MODULE mod_phys_lmdz_mpi_data
-  USE mod_const_mpi, only: MPI_REAL_LMDZ, COMM_LMDZ
-  
+  
+  INTEGER,SAVE :: MPI_REAL_LMDZ
   INTEGER,SAVE :: ii_begin
   INTEGER,SAVE :: ii_end
@@ -40,8 +40,8 @@
   INTEGER,SAVE :: mpi_rank
   INTEGER,SAVE :: mpi_size
-  INTEGER,SAVE :: mpi_root
-  LOGICAL,SAVE :: is_mpi_root
+  INTEGER,SAVE :: mpi_master
+  LOGICAL,SAVE :: is_mpi_master
   LOGICAL,SAVE :: is_using_mpi
-!!$OMP THREADPRIVATE(mpi_rank,mpi_size,mpi_root,is_mpi_root,is_using_mpi)
+!!$OMP THREADPRIVATE(mpi_rank,mpi_size,mpi_master,is_mpi_master,is_using_mpi)
   
   
@@ -53,9 +53,9 @@
 CONTAINS
   
-  SUBROUTINE Init_phys_lmdz_mpi_data(iim,jjp1,nb_proc,distrib)
-  USE mod_const_mpi, ONLY : COMM_LMDZ
+  SUBROUTINE Init_phys_lmdz_mpi_data(iim,jjp1,comm_lmdz, nb_proc,distrib)
   IMPLICIT NONE
     INTEGER,INTENT(in) :: iim
     INTEGER,INTENT(in) :: jjp1
+    INTEGER,INTENT(in) :: comm_lmdz
     INTEGER,INTENT(in) :: nb_proc
     INTEGER,INTENT(in) :: distrib(0:nb_proc-1)
@@ -66,4 +66,5 @@
     
 #ifdef CPP_MPI
+    INCLUDE 'mpif.h'
     is_using_mpi=.TRUE.
 #else
@@ -78,8 +79,9 @@
     endif
     
-    COMM_LMDZ_PHY=COMM_LMDZ
+    COMM_LMDZ_PHY=comm_lmdz
 
     IF (is_using_mpi) THEN    
 #ifdef CPP_MPI
+      MPI_REAL_LMDZ = MPI_REAL8 
       CALL MPI_COMM_SIZE(COMM_LMDZ_PHY,mpi_size,ierr)    
       CALL MPI_COMM_RANK(COMM_LMDZ_PHY,mpi_rank,ierr)
@@ -91,6 +93,6 @@
     
     IF (mpi_rank == 0) THEN
-      mpi_root = 0
-      is_mpi_root = .true.
+      mpi_master = 0
+      is_mpi_master = .true.
     ENDIF
     
@@ -198,5 +200,5 @@
     WRITE(*,*) 'jj_para_nb =', jj_para_nb
     WRITE(*,*) 'jj_para_begin =', jj_para_begin
-    WRITE(*,*) 'jj_para_end =', jj_para_end
+    WRITE(*,*) 'jj_para_end =', jj_para_end 
     WRITE(*,*) 'ii_para_begin =', ii_para_begin
     WRITE(*,*) 'ii_para_end =', ii_para_end
@@ -209,6 +211,6 @@
     WRITE(*,*) 'mpi_rank =', mpi_rank
     WRITE(*,*) 'mpi_size =', mpi_size
-    WRITE(*,*) 'mpi_root =', mpi_root
-    WRITE(*,*) 'is_mpi_root =', is_mpi_root
+    WRITE(*,*) 'mpi_master =', mpi_master
+    WRITE(*,*) 'is_mpi_master =', is_mpi_master
     WRITE(*,*) 'is_north_pole =', is_north_pole
     WRITE(*,*) 'is_south_pole =', is_south_pole
Index: /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/mod_phys_lmdz_mpi_transfert.F90
===================================================================
--- /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/mod_phys_lmdz_mpi_transfert.F90	(revision 244)
+++ /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/mod_phys_lmdz_mpi_transfert.F90	(revision 245)
@@ -73,5 +73,5 @@
   
   SUBROUTINE bcast_mpi_i(var)
-  USE mod_phys_lmdz_mpi_data, ONLY : is_mpi_root
+  USE mod_phys_lmdz_mpi_data, ONLY : is_mpi_master
   IMPLICIT NONE
     INTEGER,INTENT(INOUT) :: Var
@@ -79,5 +79,5 @@
     INTEGER               :: var_tmp(1)
     
-    IF (is_mpi_root) var_tmp(1)=var
+    IF (is_mpi_master) var_tmp(1)=var
     CALL bcast_mpi_igen(Var_tmp,1)
     var=var_tmp(1)
@@ -121,10 +121,10 @@
 
   SUBROUTINE bcast_mpi_r(var)
-  USE mod_phys_lmdz_mpi_data, ONLY : is_mpi_root
+  USE mod_phys_lmdz_mpi_data, ONLY : is_mpi_master
   IMPLICIT NONE
     REAL,INTENT(INOUT) :: Var
     REAL               :: var_tmp(1)
     
-    IF (is_mpi_root) var_tmp(1)=var
+    IF (is_mpi_master) var_tmp(1)=var
     CALL bcast_mpi_rgen(Var_tmp,1)
     var=var_tmp(1)   
@@ -167,10 +167,10 @@
 
   SUBROUTINE bcast_mpi_l(var)
-  USE mod_phys_lmdz_mpi_data, ONLY : is_mpi_root
+  USE mod_phys_lmdz_mpi_data, ONLY : is_mpi_master
   IMPLICIT NONE
     LOGICAL,INTENT(INOUT) :: Var
     LOGICAL               :: var_tmp(1)
     
-    IF (is_mpi_root) var_tmp(1)=var
+    IF (is_mpi_master) var_tmp(1)=var
     CALL bcast_mpi_lgen(Var_tmp,1)
     var=var_tmp(1)   
@@ -215,5 +215,5 @@
 
   SUBROUTINE scatter_mpi_i(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -226,5 +226,5 @@
 
   SUBROUTINE scatter_mpi_i1(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -237,5 +237,5 @@
   
   SUBROUTINE scatter_mpi_i2(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -248,5 +248,5 @@
 
   SUBROUTINE scatter_mpi_i3(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -260,5 +260,5 @@
 
   SUBROUTINE scatter_mpi_r(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -271,5 +271,5 @@
 
   SUBROUTINE scatter_mpi_r1(VarIn, VarOut)
-  USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+  USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
   IMPLICIT NONE
   
@@ -282,5 +282,5 @@
   
   SUBROUTINE scatter_mpi_r2(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -293,5 +293,5 @@
 
   SUBROUTINE scatter_mpi_r3(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -305,5 +305,5 @@
 
   SUBROUTINE scatter_mpi_l(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -316,5 +316,5 @@
 
   SUBROUTINE scatter_mpi_l1(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -327,5 +327,5 @@
   
   SUBROUTINE scatter_mpi_l2(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -338,5 +338,5 @@
 
   SUBROUTINE scatter_mpi_l3(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -355,5 +355,5 @@
 
   SUBROUTINE gather_mpi_i(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -369,5 +369,5 @@
 
   SUBROUTINE gather_mpi_i1(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -382,5 +382,5 @@
   
   SUBROUTINE gather_mpi_i2(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -395,5 +395,5 @@
 
   SUBROUTINE gather_mpi_i3(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -408,5 +408,5 @@
 
   SUBROUTINE gather_mpi_r(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -421,5 +421,5 @@
 
   SUBROUTINE gather_mpi_r1(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -434,5 +434,5 @@
   
   SUBROUTINE gather_mpi_r2(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -447,5 +447,5 @@
 
   SUBROUTINE gather_mpi_r3(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -460,5 +460,5 @@
 
   SUBROUTINE gather_mpi_l(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -473,5 +473,5 @@
 
   SUBROUTINE gather_mpi_l1(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -486,5 +486,5 @@
   
   SUBROUTINE gather_mpi_l2(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -499,5 +499,5 @@
 
   SUBROUTINE gather_mpi_l3(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -868,5 +868,5 @@
 
   SUBROUTINE reduce_sum_mpi_i(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -883,5 +883,5 @@
 
   SUBROUTINE reduce_sum_mpi_i1(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -894,5 +894,5 @@
 
   SUBROUTINE reduce_sum_mpi_i2(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -905,5 +905,5 @@
 
   SUBROUTINE reduce_sum_mpi_i3(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -916,5 +916,5 @@
 
   SUBROUTINE reduce_sum_mpi_i4(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -928,5 +928,5 @@
   
   SUBROUTINE reduce_sum_mpi_r(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -943,5 +943,5 @@
 
   SUBROUTINE reduce_sum_mpi_r1(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -954,5 +954,5 @@
 
   SUBROUTINE reduce_sum_mpi_r2(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -965,5 +965,5 @@
 
   SUBROUTINE reduce_sum_mpi_r3(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -976,5 +976,5 @@
 
   SUBROUTINE reduce_sum_mpi_r4(VarIn, VarOut)
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_master
     IMPLICIT NONE
   
@@ -1236,5 +1236,5 @@
 
   SUBROUTINE bcast_mpi_cgen(var,nb)
-    USE mod_phys_lmdz_mpi_data , mpi_root_x=>mpi_root
+    USE mod_phys_lmdz_mpi_data 
     IMPLICIT NONE
     
@@ -1250,5 +1250,5 @@
     
 #ifdef CPP_MPI
-    CALL MPI_BCAST(Var,nb,MPI_CHARACTER,mpi_root_x,COMM_LMDZ_PHY,ierr)
+    CALL MPI_BCAST(Var,nb,MPI_CHARACTER,mpi_master,COMM_LMDZ_PHY,ierr)
 #endif
         
@@ -1258,5 +1258,5 @@
       
   SUBROUTINE bcast_mpi_igen(var,nb)
-    USE mod_phys_lmdz_mpi_data , mpi_root_x=>mpi_root
+    USE mod_phys_lmdz_mpi_data
     IMPLICIT NONE
     
@@ -1272,5 +1272,5 @@
 
 #ifdef CPP_MPI
-    CALL MPI_BCAST(Var,nb,MPI_INTEGER,mpi_root_x,COMM_LMDZ_PHY,ierr)
+    CALL MPI_BCAST(Var,nb,MPI_INTEGER,mpi_master,COMM_LMDZ_PHY,ierr)
 #endif
         
@@ -1281,5 +1281,5 @@
   
   SUBROUTINE bcast_mpi_rgen(var,nb)
-    USE mod_phys_lmdz_mpi_data , mpi_root_x=>mpi_root
+    USE mod_phys_lmdz_mpi_data 
     IMPLICIT NONE
     
@@ -1295,5 +1295,5 @@
 
 #ifdef CPP_MPI
-    CALL MPI_BCAST(Var,nb,MPI_REAL_LMDZ,mpi_root_x,COMM_LMDZ_PHY,ierr)
+    CALL MPI_BCAST(Var,nb,MPI_REAL_LMDZ,mpi_master,COMM_LMDZ_PHY,ierr)
 #endif
     
@@ -1304,5 +1304,5 @@
 
   SUBROUTINE bcast_mpi_lgen(var,nb)
-    USE mod_phys_lmdz_mpi_data ,  mpi_root_x=>mpi_root
+    USE mod_phys_lmdz_mpi_data
     IMPLICIT NONE
     
@@ -1318,5 +1318,5 @@
 
 #ifdef CPP_MPI
-    CALL MPI_BCAST(Var,nb,MPI_LOGICAL,mpi_root_x,COMM_LMDZ_PHY,ierr)
+    CALL MPI_BCAST(Var,nb,MPI_LOGICAL,mpi_master,COMM_LMDZ_PHY,ierr)
     if (ierr.ne.MPI_SUCCESS) then
       write(*,*) "bcast_mpi error: ierr=",ierr
@@ -1330,5 +1330,5 @@
 
   SUBROUTINE scatter_mpi_igen(VarIn, VarOut, dimsize)
-    USE mod_phys_lmdz_mpi_data , mpi_root_x=>mpi_root
+    USE mod_phys_lmdz_mpi_data 
     USE mod_grid_phy_lmdz
     IMPLICIT NONE
@@ -1354,5 +1354,5 @@
 
     
-    IF (is_mpi_root) THEN
+    IF (is_mpi_master) THEN
       Index=1
       DO rank=0,mpi_size-1
@@ -1369,5 +1369,5 @@
 #ifdef CPP_MPI 
     CALL MPI_SCATTERV(VarTmp,counts,displs,MPI_INTEGER,VarOut,klon_mpi*dimsize,   &
-                      MPI_INTEGER,mpi_root_x, COMM_LMDZ_PHY,ierr)
+                      MPI_INTEGER,mpi_master, COMM_LMDZ_PHY,ierr)
 #endif
 
@@ -1375,5 +1375,5 @@
 
   SUBROUTINE scatter_mpi_rgen(VarIn, VarOut, dimsize)
-    USE mod_phys_lmdz_mpi_data , mpi_root_x=>mpi_root
+    USE mod_phys_lmdz_mpi_data
     USE mod_grid_phy_lmdz
     IMPLICIT NONE
@@ -1398,5 +1398,5 @@
     ENDIF
     
-    IF (is_mpi_root) THEN
+    IF (is_mpi_master) THEN
       Index=1
       DO rank=0,mpi_size-1
@@ -1413,5 +1413,5 @@
 #ifdef CPP_MPI 
     CALL MPI_SCATTERV(VarTmp,counts,displs,MPI_REAL_LMDZ,VarOut,klon_mpi*dimsize,   &
-                      MPI_REAL_LMDZ,mpi_root_x, COMM_LMDZ_PHY,ierr)
+                      MPI_REAL_LMDZ,mpi_master, COMM_LMDZ_PHY,ierr)
 
 #endif
@@ -1421,5 +1421,5 @@
   
   SUBROUTINE scatter_mpi_lgen(VarIn, VarOut, dimsize)
-    USE mod_phys_lmdz_mpi_data , mpi_root_x=>mpi_root
+    USE mod_phys_lmdz_mpi_data
     USE mod_grid_phy_lmdz
     IMPLICIT NONE
@@ -1444,5 +1444,5 @@
     ENDIF
     
-    IF (is_mpi_root) THEN
+    IF (is_mpi_master) THEN
       Index=1
       DO rank=0,mpi_size-1
@@ -1459,5 +1459,5 @@
 #ifdef CPP_MPI
     CALL MPI_SCATTERV(VarTmp,counts,displs,MPI_LOGICAL,VarOut,klon_mpi*dimsize,   &
-                      MPI_LOGICAL,mpi_root_x, COMM_LMDZ_PHY,ierr)
+                      MPI_LOGICAL,mpi_master, COMM_LMDZ_PHY,ierr)
 #endif
 
@@ -1468,5 +1468,5 @@
 
   SUBROUTINE gather_mpi_igen(VarIn, VarOut, dimsize)
-    USE mod_phys_lmdz_mpi_data , mpi_root_x=>mpi_root
+    USE mod_phys_lmdz_mpi_data
     USE mod_grid_phy_lmdz
     IMPLICIT NONE
@@ -1491,5 +1491,5 @@
     ENDIF
 
-    IF (is_mpi_root) THEN
+    IF (is_mpi_master) THEN
       Index=1
       DO rank=0,mpi_size-1
@@ -1504,9 +1504,9 @@
 #ifdef CPP_MPI
     CALL MPI_GATHERV(VarIn,klon_mpi*dimsize,MPI_INTEGER,VarTmp,counts,displs,   &
-                     MPI_INTEGER,mpi_root_x, COMM_LMDZ_PHY,ierr)
+                     MPI_INTEGER,mpi_master, COMM_LMDZ_PHY,ierr)
 #endif
 
 		          
-    IF (is_mpi_root) THEN
+    IF (is_mpi_master) THEN
       Index=1
       DO rank=0,mpi_size-1
@@ -1522,5 +1522,5 @@
 
   SUBROUTINE gather_mpi_rgen(VarIn, VarOut, dimsize)
-    USE mod_phys_lmdz_mpi_data , mpi_root_x=>mpi_root
+    USE mod_phys_lmdz_mpi_data , mpi_master=>mpi_master
     USE mod_grid_phy_lmdz
     IMPLICIT NONE
@@ -1540,5 +1540,5 @@
     INTEGER :: ierr
 
-    IF (is_mpi_root) THEN
+    IF (is_mpi_master) THEN
       Index=1
       DO rank=0,mpi_size-1
@@ -1557,8 +1557,8 @@
 #ifdef CPP_MPI
     CALL MPI_GATHERV(VarIn,klon_mpi*dimsize,MPI_REAL_LMDZ,VarTmp,counts,displs,   &
-                      MPI_REAL_LMDZ,mpi_root_x, COMM_LMDZ_PHY,ierr)
+                      MPI_REAL_LMDZ,mpi_master, COMM_LMDZ_PHY,ierr)
 #endif
 		          
-    IF (is_mpi_root) THEN
+    IF (is_mpi_master) THEN
       Index=1
       DO rank=0,mpi_size-1
@@ -1574,5 +1574,5 @@
 
   SUBROUTINE gather_mpi_lgen(VarIn, VarOut, dimsize)
-    USE mod_phys_lmdz_mpi_data , mpi_root_x=>mpi_root
+    USE mod_phys_lmdz_mpi_data
     USE mod_grid_phy_lmdz
     IMPLICIT NONE
@@ -1597,5 +1597,5 @@
     ENDIF
 
-    IF (is_mpi_root) THEN
+    IF (is_mpi_master) THEN
       Index=1
       DO rank=0,mpi_size-1
@@ -1610,8 +1610,8 @@
 #ifdef CPP_MPI
     CALL MPI_GATHERV(VarIn,klon_mpi*dimsize,MPI_LOGICAL,VarTmp,counts,displs,   &
-                      MPI_LOGICAL,mpi_root_x, COMM_LMDZ_PHY,ierr)
+                      MPI_LOGICAL,mpi_master, COMM_LMDZ_PHY,ierr)
 #endif
 		          
-    IF (is_mpi_root) THEN
+    IF (is_mpi_master) THEN
       Index=1
       DO rank=0,mpi_size-1
@@ -1629,5 +1629,5 @@
 
   SUBROUTINE reduce_sum_mpi_igen(VarIn,VarOut,nb)
-    USE mod_phys_lmdz_mpi_data , mpi_root_x=>mpi_root
+    USE mod_phys_lmdz_mpi_data
     USE mod_grid_phy_lmdz
     IMPLICIT NONE
@@ -1649,5 +1649,5 @@
 
 #ifdef CPP_MPI
-    CALL MPI_REDUCE(VarIn,VarOut,nb,MPI_INTEGER,MPI_SUM,mpi_root_x,COMM_LMDZ_PHY,ierr)
+    CALL MPI_REDUCE(VarIn,VarOut,nb,MPI_INTEGER,MPI_SUM,mpi_master,COMM_LMDZ_PHY,ierr)
 #endif
             
@@ -1655,5 +1655,5 @@
   
   SUBROUTINE reduce_sum_mpi_rgen(VarIn,VarOut,nb)
-    USE mod_phys_lmdz_mpi_data , mpi_root_x=>mpi_root
+    USE mod_phys_lmdz_mpi_data 
     USE mod_grid_phy_lmdz
 
@@ -1675,5 +1675,5 @@
    
 #ifdef CPP_MPI
-    CALL MPI_REDUCE(VarIn,VarOut,nb,MPI_REAL_LMDZ,MPI_SUM,mpi_root_x,COMM_LMDZ_PHY,ierr)
+    CALL MPI_REDUCE(VarIn,VarOut,nb,MPI_REAL_LMDZ,MPI_SUM,mpi_master,COMM_LMDZ_PHY,ierr)
 #endif
         
Index: /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/mod_phys_lmdz_omp_data.F90
===================================================================
--- /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/mod_phys_lmdz_omp_data.F90	(revision 244)
+++ /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/mod_phys_lmdz_omp_data.F90	(revision 245)
@@ -6,5 +6,5 @@
   INTEGER,SAVE :: omp_size
   INTEGER,SAVE :: omp_rank
-  LOGICAL,SAVE :: is_omp_root
+  LOGICAL,SAVE :: is_omp_master
   LOGICAL,SAVE :: is_using_omp
   
@@ -16,5 +16,5 @@
   INTEGER,SAVE :: klon_omp_begin
   INTEGER,SAVE :: klon_omp_end
-!$OMP  THREADPRIVATE(omp_rank,klon_omp,is_omp_root,klon_omp_begin,klon_omp_end)
+!$OMP  THREADPRIVATE(omp_rank,klon_omp,is_omp_master,klon_omp_begin,klon_omp_end)
 
 CONTAINS
@@ -50,8 +50,8 @@
 #endif
 
-   is_omp_root=.FALSE.
+   is_omp_master=.FALSE.
 !$OMP MASTER
    IF (omp_rank==0) THEN
-     is_omp_root=.TRUE.
+     is_omp_master=.TRUE.
    ELSE
      abort_message = 'ANORMAL : OMP_MASTER /= 0'
@@ -97,5 +97,5 @@
   WRITE(*,*)'omp_size =',omp_size
   WRITE(*,*)'omp_rank =',omp_rank
-  WRITE(*,*)'is_omp_root =',is_omp_root
+  WRITE(*,*)'is_omp_master =',is_omp_master
   WRITE(*,*)'klon_omp_para_nb =',klon_omp_para_nb
   WRITE(*,*)'klon_omp_para_begin =',klon_omp_para_begin
Index: /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/mod_phys_lmdz_para.F90
===================================================================
--- /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/mod_phys_lmdz_para.F90	(revision 244)
+++ /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/mod_phys_lmdz_para.F90	(revision 245)
@@ -17,16 +17,17 @@
 CONTAINS
 
-  SUBROUTINE Init_phys_lmdz_para(iim,jjp1,nb_proc,distrib)
+  SUBROUTINE Init_phys_lmdz_para(iim,jjp1,comm_lmdz, nb_proc,distrib)
   IMPLICIT NONE
     INTEGER,INTENT(in) :: iim
     INTEGER,INTENT(in) :: jjp1
+    INTEGER,INTENT(in) :: comm_lmdz
     INTEGER,INTENT(in) :: nb_proc
     INTEGER,INTENT(in) :: distrib(0:nb_proc-1)
 
-    CALL Init_phys_lmdz_mpi_data(iim,jjp1,nb_proc,distrib)
+    CALL Init_phys_lmdz_mpi_data(iim,jjp1,comm_lmdz, nb_proc, distrib)
 !$OMP PARALLEL
     CALL Init_phys_lmdz_omp_data(klon_mpi)
     klon_loc=klon_omp
-    IF (is_mpi_root .AND. is_omp_root) THEN 
+    IF (is_mpi_master .AND. is_omp_master) THEN 
        is_master=.TRUE.
      ELSE
@@ -66,5 +67,5 @@
     Test_Field2d_loc = 0.
   
-    IF (is_mpi_root) THEN
+    IF (is_mpi_master) THEN
 !$OMP MASTER
       DO l=1,nbp_lev
@@ -80,5 +81,5 @@
     CALL Gather(Test_Field1d_loc,tmp1d_glo)
   
-    IF (is_mpi_root) THEN
+    IF (is_mpi_master) THEN
 !$OMP MASTER  
       Checksum=sum(Test_Field1d_glo-tmp1d_glo)
@@ -92,5 +93,5 @@
     CALL grid2dTo1d_glo(Test_Field2d_glo,tmp1d_glo)
 
-    IF (is_mpi_root) THEN
+    IF (is_mpi_master) THEN
 !$OMP MASTER  
       Checksum=sum(Test_Field1d_glo-tmp1d_glo)
@@ -102,5 +103,5 @@
     CALL reduce_sum(Test_Field1d_glo,tmp1d_glo)
 
-    IF (is_mpi_root) THEN
+    IF (is_mpi_master) THEN
 !$OMP MASTER  
       Checksum=sum(Test_Field1d_glo*omp_size*mpi_size-tmp1d_glo)
Index: /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/writediagfi.F
===================================================================
--- /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/writediagfi.F	(revision 244)
+++ /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/writediagfi.F	(revision 245)
@@ -41,5 +41,5 @@
       use surfdat_h, only: phisfi
       use control_mod, only: ecritphy, day_step, iphysiq
-      USE mod_phys_lmdz_para, only : is_parallel, is_mpi_root,
+      USE mod_phys_lmdz_para, only : is_parallel, is_mpi_master,
      &                               is_master, gather
       USE mod_grid_phy_lmdz, only : klon_glo, Grid1Dto2D_glo
@@ -296,5 +296,5 @@
           call Gather(px,dx3_glop)
 !$OMP MASTER
-          if (is_mpi_root) then
+          if (is_mpi_master) then
             call Grid1Dto2D_glo(dx3_glop,dx3_glo)
             ! copy dx3_glo() to dx3(:) and add redundant longitude
@@ -380,5 +380,5 @@
           call Gather(px2,dx2_glop)
 !$OMP MASTER
-          if (is_mpi_root) then
+          if (is_mpi_master) then
             call Grid1Dto2D_glo(dx2_glop,dx2_glo)
             ! copy dx2_glo() to dx2(:) and add redundant longitude
Index: /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/writediagsoil.F90
===================================================================
--- /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/writediagsoil.F90	(revision 244)
+++ /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/writediagsoil.F90	(revision 245)
@@ -14,5 +14,5 @@
 use comsoil_h, only: nsoilmx
 use control_mod, only: ecritphy, day_step, iphysiq
-use mod_phys_lmdz_para, only : is_mpi_root, is_master, gather
+use mod_phys_lmdz_para, only : is_mpi_master, is_master, gather
 use mod_grid_phy_lmdz, only : klon_glo, Grid1Dto2D_glo
 
@@ -145,5 +145,5 @@
   call Gather(px,dx3_glop)
 !$OMP MASTER
-  if (is_mpi_root) then
+  if (is_mpi_master) then
     call Grid1Dto2D_glo(dx3_glop,dx3_glo)
     ! copy dx3_glo() to dx3(:) and add redundant longitude
@@ -220,5 +220,5 @@
   call Gather(px2,dx2_glop)
 !$OMP MASTER
-  if (is_mpi_root) then
+  if (is_mpi_master) then
     call Grid1Dto2D_glo(dx2_glop,dx2_glo)
     ! copy dx3_glo() to dx3(:) and add redundant longitude
Index: /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/writediagspecIR.F
===================================================================
--- /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/writediagspecIR.F	(revision 244)
+++ /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/writediagspecIR.F	(revision 245)
@@ -45,5 +45,5 @@
 !      USE surfdat_h, only : phisfi
 #ifdef CPP_PARA
-      use mod_phys_lmdz_para, only : is_mpi_root, is_master, gather
+      use mod_phys_lmdz_para, only : is_mpi_master, is_master, gather
       use mod_grid_phy_lmdz, only : klon_glo, Grid1Dto2D_glo
 #endif
@@ -111,5 +111,5 @@
 #else
       logical,parameter :: is_master=.true.
-      logical,parameter :: is_mpi_root=.true.
+      logical,parameter :: is_mpi_master=.true.
 #endif
 
@@ -232,5 +232,5 @@
           call Gather(px,dx3_glop)
 !$OMP MASTER
-          if (is_mpi_root) then
+          if (is_mpi_master) then
             call Grid1Dto2D_glo(dx3_glop,dx3_glo)
             ! copy dx3_glo() to dx3(:) and add redundant longitude
Index: /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/writediagspecVI.F
===================================================================
--- /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/writediagspecVI.F	(revision 244)
+++ /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/writediagspecVI.F	(revision 245)
@@ -45,5 +45,5 @@
 !      USE surfdat_h
 #ifdef CPP_PARA
-      use mod_phys_lmdz_para, only : is_mpi_root, is_master, gather
+      use mod_phys_lmdz_para, only : is_mpi_master, is_master, gather
       use mod_grid_phy_lmdz, only : klon_glo, Grid1Dto2D_glo
 #endif
@@ -111,5 +111,5 @@
 #else
       logical,parameter :: is_master=.true.
-      logical,parameter :: is_mpi_root=.true.
+      logical,parameter :: is_mpi_master=.true.
 #endif
 
@@ -232,5 +232,5 @@
           call Gather(px,dx3_glop)
 !$OMP MASTER
-          if (is_mpi_root) then
+          if (is_mpi_master) then
             call Grid1Dto2D_glo(dx3_glop,dx3_glo)
             ! copy dx3_glo() to dx3(:) and add redundant longitude
Index: /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/wstats.F90
===================================================================
--- /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/wstats.F90	(revision 244)
+++ /codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/wstats.F90	(revision 245)
@@ -1,5 +1,5 @@
 subroutine wstats(ngrid,nom,titre,unite,dim,px)
 
-use mod_phys_lmdz_para, only : is_mpi_root, is_master, gather, klon_mpi_begin
+use mod_phys_lmdz_para, only : is_mpi_master, is_master, gather, klon_mpi_begin
 use mod_grid_phy_lmdz, only : klon_glo, Grid1Dto2D_glo
 
@@ -72,5 +72,5 @@
   call Gather(px3,px3_glop)
 !$OMP MASTER
-  if (is_mpi_root) then
+  if (is_mpi_master) then
     call Grid1Dto2D_glo(px3_glop,px3_glo)
     ! copy dx3_glo() to dx3(:) and add redundant longitude
@@ -85,5 +85,5 @@
   call Gather(px2,px2_glop)
 !$OMP MASTER
-          if (is_mpi_root) then
+          if (is_mpi_master) then
             call Grid1Dto2D_glo(px2_glop,px2_glo)
             ! copy px2_glo() to dx2(:) and add redundant longitude
